View Issue Details

IDProjectCategoryView StatusLast Update
0005639MediaMonkey 4Playlist / Searchpublic2009-10-08 18:18
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Fixed in Version3.1 
Summary0005639: Full text search yields poor results when searching for Drive paths
DescriptionIf the user searches for C: or D: etc. MM returns tracks that contain C$ or D$ (where $ is a symbol or space) rather than what the user intended (in contrast, a search for C returns tracks containing any field beginning with a C).

This is due to the design decision to ignore characters for full-text search. The question to discuss is whether this is the right design.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35976
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35968
Tagsdoc_help
Fixed in build1248

Relationships

related to 0003040 closedLudek Implement proper full-text search 
related to 0005186 closedLudek Quick Search with "" (quoted strings) doesn't work as expected 
related to 0005134 closedLudek Searching for special chars like '.' no longer works with new full-text search engine 

Activities

Ludek

2009-05-21 01:39

developer   ~0017936

Note that searching for "C:\" (the string needs to be quoted) finds all files on the C drive as requested here: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35968&st=0&sk=t&sd=a&start=15
This was fixed in build 1214 in 0005186

rusty

2009-05-22 02:27

administrator   ~0017962

Last edited: 2009-05-22 02:30

Right. The point of this bug is that users shouldn't be expected to know that they have put quotes around C: (especially if they've enabled search for the Path field).

Also, as pointed out by chris, it's unclear why search results for C: are different than for C:/ .

Ludek

2009-05-22 11:20

developer   ~0017964

Last edited: 2009-05-22 11:29

Rusty, I used similar approach like in case of issue 0005134.
If the search phrase contains ':' as _the_second_ character then the old MM 3.0 engine is used. This way searching for C: or C:\ works.

Fixed in build 1248.

rusty

2009-05-26 21:57

administrator   ~0018037

Verified by chrisjj 1248.

rusty

2009-10-08 18:18

administrator   ~0019108

updated help for 3.1.2.1272